Package it.ernytech.tdlib

## Class TdApi.SendPaymentForm

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendPaymentForm

Enclosing class:
  TdApi

    public static class TdApi.SendPaymentForm
    extends TdApi.Function

Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

### Field Summary

Fields
`long` `chatId` Chat identifier of the Invoice message.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputCredentials` `credentials` The credentials chosen by user for payment.
`long` `messageId` Message identifier.
`java.lang.String` `orderInfoId` Identifier returned by ValidateOrderInfo, or an empty string.
`java.lang.String` `shippingOptionId` Identifier of a chosen shipping option, if applicable.

### Constructor Summary

Constructors
`SendPaymentForm()` Default constructor.
`SendPaymentForm​(long chatId, long messageId, java.lang.String orderInfoId, java.lang.String shippingOptionId, TdApi.InputCredentials credentials)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier of the Invoice message.

#### messageId

    public long messageId

Message identifier.

#### orderInfoId

    public java.lang.String orderInfoId

Identifier returned by ValidateOrderInfo, or an empty string.

#### shippingOptionId

    public java.lang.String shippingOptionId

Identifier of a chosen shipping option, if applicable.

#### credentials

    public TdApi.InputCredentials credentials

The credentials chosen by user for payment.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendPaymentForm

    public SendPaymentForm()

Default constructor.

#### SendPaymentForm

    public SendPaymentForm​(long chatId,
                           long messageId,
                           java.lang.String orderInfoId,
                           java.lang.String shippingOptionId,
                           TdApi.InputCredentials credentials)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier of the Invoice message.
  `messageId` - Message identifier.
  `orderInfoId` - Identifier returned by ValidateOrderInfo, or an empty string.
  `shippingOptionId` - Identifier of a chosen shipping option, if applicable.
  `credentials` - The credentials chosen by user for payment.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR